1. geektastic's Avatar
    Hi Guys,

    I was wondering if there is version 5.0 for the orange network? ive got a blackberry curve 8900 many thanks
    03-15-10 04:16 PM
  2. syb0rg's Avatar
    you can use any version of 5.0 (for the 8900) on your device. just make sure to delete the vendor.xml file. from your hardrive.

    as far as if Orange official supports a 5.0 you'd have to contact them directly and ask em.

    Posted from my CrackBerry at wapforums.crackberry.com
    03-15-10 04:26 PM
  3. mark-d's Avatar
    On the Blackberry website there is a section where you can download the latest carrier approved OS for each phone. If you select Orange (UK) as the network then it'll display the latest OS available for your phone.

    However as has already been said you can pick any OS for an 8900 and as long as you delete the vendor.xml file you can upload this to your phone. Check the forum, the easiest way to do this is using apploader and there's plenty of threads on the correct procedure to follow to achieve this.
    03-16-10 07:06 PM
LINK TO POST COPIED TO CLIPBOARD